## net.sf.saxon.pattern
Class NoNodeTest

    java.lang.Object
      |
      +--net.sf.saxon.pattern.NodeTest
            |
            +--net.sf.saxon.pattern.NoNodeTest

All Implemented Interfaces:
  ItemType, java.io.Serializable

public final class NoNodeTest
extends NodeTest

NodeTest is an interface that enables a test of whether a node has a particular name and type. A NoNodeTest matches no nodes.

See Also:
  Serialized Form

Constructor Summary
`NoNodeTest()`

Method Summary
`boolean` `allowsTextNodes()` Indicate whether this NodeTest is capable of matching text nodes
`double` `getDefaultPriority()` Determine the default priority of this node test when used on its own as a Pattern
`static NoNodeTest` `getInstance()` Get a NoNodeTest instance
`int` `getNodeKindMask()` Get a mask indicating which kinds of nodes this NodeTest can match.
`int` `getPrimitiveType()` Get the basic kind of object that this ItemType matches: for a NodeTest, this is the kind of node, or Type.Node if it matches different kinds of nodes.
`int` `hashCode()` Returns a hash code value for the object.
`boolean` `matches(int nodeType, int fingerprint, int annotation)` Test whether this node test is satisfied by a given node
`boolean` `matches(NodeInfo node)` Test whether this node test is satisfied by a given node.
`boolean` `matchesItem(Item item)` Test whether a given item conforms to this type
`java.lang.String` `toString()`

Methods inherited from class net.sf.saxon.pattern.NodeTest
`getAtomizedItemType, getContentType, getFingerprint, getPrimitiveItemType, getRequiredNodeNames, getSuperType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoNodeTest

    public NoNodeTest()

Method Detail

### getInstance

    public static NoNodeTest getInstance()

  Get a NoNodeTest instance

### getPrimitiveType

    public final int getPrimitiveType()

  Description copied from class: `NodeTest`
  Get the basic kind of object that this ItemType matches: for a NodeTest, this is the kind of node, or Type.Node if it matches different kinds of nodes.

  Specified by:
    `getPrimitiveType` in interface `ItemType`
  Overrides:
    `getPrimitiveType` in class `NodeTest`
  Returns:
    the node kind matched by this node test

### matchesItem

    public boolean matchesItem(Item item)

  Test whether a given item conforms to this type

  Specified by:
    `matchesItem` in interface `ItemType`
  Overrides:
    `matchesItem` in class `NodeTest`
  Parameters:
    `item` - The item to be tested
  Returns:
    true if the item is an instance of this type; false otherwise

### matches

    public boolean matches(int nodeType,
                           int fingerprint,
                           int annotation)

  Test whether this node test is satisfied by a given node

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `nodeType` - The type of node to be matched
    `fingerprint` - identifies the expanded name of the node to be matched
    `annotation` - The actual content type of the node

### matches

    public boolean matches(NodeInfo node)

  Test whether this node test is satisfied by a given node. This alternative method is used in the case of nodes where calculating the fingerprint is expensive, for example DOM or JDOM nodes.

  Specified by:
    `matches` in class `NodeTest`
  Parameters:
    `node` - the node to be matched

### getDefaultPriority

    public final double getDefaultPriority()

  Determine the default priority of this node test when used on its own as a Pattern

  Specified by:
    `getDefaultPriority` in class `NodeTest`

### allowsTextNodes

    public boolean allowsTextNodes()

  Indicate whether this NodeTest is capable of matching text nodes

  Specified by:
    `allowsTextNodes` in class `NodeTest`

### getNodeKindMask

    public int getNodeKindMask()

  Get a mask indicating which kinds of nodes this NodeTest can match. This is a combination of bits: 1<<Type.ELEMENT for element nodes, 1<<Type.TEXT for text nodes, and so on.

  Specified by:
    `getNodeKindMask` in class `NodeTest`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`